atscc(1)

NAME
atscc - ATS compiler frontend

SYNOPSIS
atscc [options] files...

DESCRIPTION
atscc is a frontend to the atsopt Anairiats compiler for the ATS language.

OPTIONS
atscc has a command-line option syntax in the style of gcc and accepts all the same options, many of them being passed directly to the gcc backend. Here are summarized the non-gcc options.

-cc, --compile
    Only compile the given ATS source files into C files.

-D_ATS_GCATS
    Enable the garbage collector in the generated executable.

-IATS <path>
    Add a path to search for ATS files when doing static and dynamic loads.

-tc, --typecheck
    Typecheck the given ATS source files, but go no further.

--version
    Show ATS/Anairiats version and gcc version.

EXAMPLES

atscc -o test -O3 test.dats

Compile test.dats to an executable named test. Tell gcc to use the third level of optimization.

atscc -tc test.dats

Typecheck test.dats only.

atscc -o test.o -c test.dats

Compile test.dats to an object file named test.o.

SEE ALSO
atsopt(1), atslex(1),
These programs are documented fully by The ATS/Anairiats user's manual available via the web at http://www.ats-lang.org/

AUTHOR
atscc was written by Hongwei Xi.

This manual page was written by Matthew Danish <mrd@debian.org>, for the Debian project (and may be used by others).